org.apache.hc.client5.http.entity

## Class DeflateInputStreamFactory

- java.lang.Object
- - org.apache.hc.client5.http.entity.DeflateInputStreamFactory

All Implemented Interfaces:
  InputStreamFactory

Deprecated.
Use `ContentCodecRegistry.decoder(org.apache.hc.client5.http.entity.compress.ContentCoding)`

    @Deprecated
     @Contract(threading=STATELESS)
    public class DeflateInputStreamFactory
    extends Object
    implements InputStreamFactory

`InputStreamFactory` for handling Deflate Content Coded responses.

Since:
  5.0

### Field Summary

Fields
`static String` `ENCODING` Deprecated. Canonical token for the deflate content-coding.

### Constructor Summary

Constructors
Constructor and Description
`DeflateInputStreamFactory()` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`InputStream` `create(InputStream inputStream)` Deprecated.
`static DeflateInputStreamFactory` `getInstance()` Deprecated. Gets the singleton instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENCODING

    public static final String ENCODING

Deprecated.
Canonical token for the deflate content-coding.

Since:
  5.6
See Also:
  Constant Field Values

### Constructor Detail

#### DeflateInputStreamFactory

    public DeflateInputStreamFactory()

Deprecated.

### Method Detail

#### getInstance

    public static DeflateInputStreamFactory getInstance()

Deprecated.
Gets the singleton instance.

Returns:
  the singleton instance.

#### create

    public InputStream create(InputStream inputStream)
                       throws IOException

Deprecated.

Specified by:
  `create` in interface `InputStreamFactory`
Throws:
  `IOException`